Skip to main content
PUT
/
api
/
watch
/
{id}
Updates an existing watch by its identifier.
curl --request PUT \
  --url https://{tenant}.ekso.app/api/watch/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "entity": "<string>",
  "owner": 123,
  "ownerId": "<string>",
  "watcher": 123,
  "watcherId": "<string>",
  "type": 123,
  "tenantId": "<string>",
  "id": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "updated": "2023-11-07T05:31:56Z",
  "updatedBy": "<string>",
  "deleted": true
}
'
{
  "entity": "<string>",
  "owner": 123,
  "ownerId": "<string>",
  "watcher": 123,
  "watcherId": "<string>",
  "type": 123,
  "tenantId": "<string>",
  "id": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "updated": "2023-11-07T05:31:56Z",
  "updatedBy": "<string>",
  "deleted": true
}

Authorizations

Authorization
string
header
required

JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.

Path Parameters

id
string
required

The unique identifier of the watch to update.

Body

The updated watch data.

entity
null | string
owner
integer
ownerId
string
watcher
integer
watcherId
string
type
integer
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean

Response

The updated watch.

entity
null | string
owner
integer
ownerId
string
watcher
integer
watcherId
string
type
integer
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean